import React from 'react';
import { Rate } from 'antd';
import s from './index.less';
import { RateProps } from '../editInterface';

export default function(props: RateProps) {
    const { value, disabled, allowClear, allowHalf, count, onChange } = props;
    const selfProps = { value, disabled, allowClear, allowHalf, count, onChange };
    return (
        <div className={s.rateContainer}>
            <Rate {...selfProps} />
        </div>
    );
}
